/*
* Copyright (C) 2005 Bourgeon Jrme, Macherel Bruno
*
* This file is part of Dolphin
*
* Dolphin : An open source J2EE Deployment Tool JSR-88 compliant
* Contact: ishmael-dev@objectweb.org
*
* Dolphin is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* Dolphin is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with Dolphin; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*/
package org.objectweb.dolphin.rcp;

import org.eclipse.core.runtime.IPlatformRunnable;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.application.WorkbenchAdvisor;
import org.objectweb.dolphin.resources.DolphinResourcesManagment;

/**
 * Main class of Dolphin
 * @author Bourgeon Jrme, Macherel Bruno
 */
public class DolphinApplication implements IPlatformRunnable {

    /**
     * @see org.eclipse.core.runtime.IPlatformRunnable#run(java.lang.Object)
     */
    public Object run(Object args) {

		// create the workspace & file useful
		DolphinResourcesManagment.createConfiguration();

        WorkbenchAdvisor workbenchAdvisor = new DolphinWorkbenchAdvisor();
        Display display = PlatformUI.createDisplay();
        try {
            int returnCode = PlatformUI.createAndRunWorkbench(display,
                    workbenchAdvisor);
            if (returnCode == PlatformUI.RETURN_RESTART) {
                return IPlatformRunnable.EXIT_RESTART;
            }
			return IPlatformRunnable.EXIT_OK;
        } finally {
            display.dispose();
        }
    }
}