
/*
* Copyright (C) 2005 Bourgeon Jrme, Macherel Bruno
*
* This file is part of Dolphin
*
* Dolphin : An open source J2EE Deployment Tool JSR-88 compliant
* Contact: ishmael-dev@objectweb.org
*
* Dolphin is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* Dolphin is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with Dolphin; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*/
package org.objectweb.dolphin.rcp;

import org.eclipse.swt.graphics.Point;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;
import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
import org.eclipse.ui.application.WorkbenchWindowAdvisor;

/**
 * The workbench Window Advisor of Dolphin
 * @author Bourgeon Jrme, Macherel Bruno
 */
public class DolphinWorkbenchWindowAdvisor extends WorkbenchWindowAdvisor {

	/**
	 * Constructor
	 * @param configurer
	 */
	public DolphinWorkbenchWindowAdvisor(IWorkbenchWindowConfigurer configurer){
		super(configurer);
	}

    /**
     * Initialize the IWorkbenchWindowConfigurer
     * @param configurer
     */
    public void preWindowOpen(IWorkbenchWindowConfigurer configurer) {
        // super.preWindowOpen(configurer);
        configurer.setInitialSize(new Point(800, 600));
        configurer.setShowCoolBar(true);
        configurer.setShowStatusLine(true);
//        configurer.setTitle(Messages.getString("DolphinTitle")); //$NON-NLS-1$
    }

   /**
    * @see org.eclipse.ui.application.WorkbenchWindowAdvisor#createActionBarAdvisor(org.eclipse.ui.application.IActionBarConfigurer)
 	*/
    public ActionBarAdvisor createActionBarAdvisor(IActionBarConfigurer configurer){
	   return new DolphinActionBarAdvisor(configurer);
    }
}
